Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 164953 - Plugins dialog will not be resized prorperly
Plugins dialog will not be resized prorperly
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Plugin Manager
6.x
All All
: P2 (vote)
: 6.x
Assigned To: dlipin
issues@platform
JA_COMMUNITY
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 14:22 UTC by Masaki Katakai
Modified: 2009-05-16 08:56 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (English) (118.36 KB, image/png)
2009-05-12 14:23 UTC, Masaki Katakai
Details
screenshot (Japanese) (127.27 KB, image/png)
2009-05-12 14:25 UTC, Masaki Katakai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Masaki Katakai 2009-05-12 14:22:40 UTC
Product Version: NetBeans IDE Dev (Build 200905120201)
Java: 1.6.0_07; Java HotSpot(TM) 64-Bit Server VM 1.6.0_07-b06-57
System: Mac OS X version 10.5.6 running on x86_64; SJIS; en (nb)

When click on some components on "Installed" tag,
Plugins dialog will not be resized properly.

1 plug selected. Uninstall operation will require restart of the IDE

This message is added beside the buttons when
click on the checkbox. In Japanese environment,
close and help buttons disappear.
Comment 1 Masaki Katakai 2009-05-12 14:23:37 UTC
Created attachment 81964 [details]
screenshot (English)
Comment 2 Masaki Katakai 2009-05-12 14:25:19 UTC
Created attachment 81965 [details]
screenshot (Japanese)
Comment 3 dlipin 2009-05-14 10:08:32 UTC
Ondrej,
could you please advice how to place all those components (3 buttons, selection info, restart warning) the best?
Current layout (all on the single line) does not work any more for them since its requires the dialog to be too wide.

(I personally think of moving the "X plugins selected" label somewhere else.. maybe below the buttons. It became not 
well connected to the list)
Comment 4 Ondrej Langr 2009-05-14 13:48:09 UTC
Dmitry, my answer is maybe not what you expect, but why not to remove the message "Uninstall operation will require the
restart of the IDE" completely? 

We introduced it when with selection, the only thing you could do was to remove plugins. Now, when you select
one/multiple features, you are actually more likely to deactivate/activate then to uninstall and this message only draws
your attention without any reason. 

Even if you do not know this information and you start to uninstall, you're asked whether you want to restart or not. So
it's a safe operation with no need to warn the user ahead. 
Comment 5 dlipin 2009-05-15 07:14:27 UTC
Ondrej,
thanks for your answer. It makes sense to me and I can`t but agree with you:) We`ll remove it soon.
Comment 6 dlipin 2009-05-15 11:31:41 UTC
core-main#866c0a4f6895
Comment 7 Quality Engineering 2009-05-16 08:56:04 UTC
Integrated into 'main-golden', will be available in build *200905160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c817b8b70d0a
User: Dmitry Lipin <dlipin@netbeans.org>
Log: Issue #164953 Plugins dialog will not be resized prorperly


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo